import React from 'react'
import Svg, { Defs, LinearGradient, Stop, G, Path } from 'react-native-svg'

const SvgComponent = props => (
  <Svg width="1em" height="1em" viewBox="0 0 26 22" {...props}>
    <Defs>
      <LinearGradient x1="50%" y1="100%" x2="50%" y2="0%" id="linearGradient-1">
        <Stop stopColor="#F78B00" offset="0%" />
        <Stop stopColor="#FAC000" offset="100%" />
      </LinearGradient>
    </Defs>
    <G
      id="0716\u7248\u672C"
      stroke="none"
      strokeWidth={1}
      fill="none"
      fillRule="evenodd"
    >
      <G
        id="0716\u4FEE\u6539\u7248\u672C"
        transform="translate(-217.000000, -456.000000)"
        fill="url(#linearGradient-1)"
        fillRule="nonzero"
      >
        <G
          id="\u74E6\u65AF\u6284\u8868"
          transform="translate(195.000000, 434.000000)"
        >
          <G
            id="fontawesome-webfont-f-0-e-4"
            transform="translate(22.000000, 22.000000)"
          >
            <Path
              d="M5.57142857,14 C5.57142857,13.4479167 5.39006696,12.9765625 5.02734375,12.5859375 C4.66462054,12.1953125 4.22693452,12 3.71428571,12 C3.20163691,12 2.76395089,12.1953125 2.40122768,12.5859375 C2.03850446,12.9765625 1.85714286,13.4479167 1.85714286,14 C1.85714286,14.5520833 2.03850446,15.0234375 2.40122768,15.4140625 C2.76395089,15.8046875 3.20163691,16 3.71428571,16 C4.22693452,16 4.66462054,15.8046875 5.02734375,15.4140625 C5.39006696,15.0234375 5.57142857,14.5520833 5.57142857,14 Z M8.35714286,7 C8.35714286,6.44791667 8.17578125,5.9765625 7.81305804,5.5859375 C7.45033482,5.1953125 7.0126488,5 6.5,5 C5.9873512,5 5.54966518,5.1953125 5.18694196,5.5859375 C4.82421875,5.9765625 4.64285714,6.44791667 4.64285714,7 C4.64285714,7.55208333 4.82421875,8.0234375 5.18694196,8.4140625 C5.54966518,8.8046875 5.9873512,9 6.5,9 C7.0126488,9 7.45033482,8.8046875 7.81305804,8.4140625 C8.17578125,8.0234375 8.35714286,7.55208333 8.35714286,7 Z M14.5669643,14.515625 L16.0323661,8.546875 C16.0904018,8.27604167 16.0541295,8.0234375 15.9235491,7.7890625 C15.7929687,7.5546875 15.6067708,7.40104167 15.3649554,7.328125 C15.1231399,7.25520833 14.890997,7.2890625 14.6685268,7.4296875 C14.4460566,7.5703125 14.3009673,7.77604167 14.2332589,8.046875 L12.7678571,14.015625 C12.1875,14.0677083 11.6700149,14.2942708 11.2154018,14.6953125 C10.7607887,15.0963542 10.4561012,15.609375 10.3013393,16.234375 C10.1078869,17.0364583 10.2046131,17.796875 10.5915179,18.515625 C10.9784226,19.234375 11.5442708,19.6979167 12.2890625,19.90625 C13.0338542,20.1145833 13.7399554,20.0104167 14.4073661,19.59375 C15.0747768,19.1770833 15.5052083,18.5677083 15.6986607,17.765625 C15.8534226,17.140625 15.8244048,16.53125 15.6116071,15.9375 C15.3988095,15.34375 15.0505952,14.8697917 14.5669643,14.515625 Z M24.1428571,14 C24.1428571,13.4479167 23.9614955,12.9765625 23.5987723,12.5859375 C23.2360491,12.1953125 22.7983631,12 22.2857143,12 C21.7730655,12 21.3353795,12.1953125 20.9726563,12.5859375 C20.609933,12.9765625 20.4285714,13.4479167 20.4285714,14 C20.4285714,14.5520833 20.609933,15.0234375 20.9726563,15.4140625 C21.3353795,15.8046875 21.7730655,16 22.2857143,16 C22.7983631,16 23.2360491,15.8046875 23.5987723,15.4140625 C23.9614955,15.0234375 24.1428571,14.5520833 24.1428571,14 Z M14.8571429,4 C14.8571429,3.44791667 14.6757812,2.9765625 14.313058,2.5859375 C13.9503348,2.1953125 13.5126488,2 13,2 C12.4873512,2 12.0496652,2.1953125 11.686942,2.5859375 C11.3242187,2.9765625 11.1428571,3.44791667 11.1428571,4 C11.1428571,4.55208333 11.3242187,5.0234375 11.686942,5.4140625 C12.0496652,5.8046875 12.4873512,6 13,6 C13.5126488,6 13.9503348,5.8046875 14.313058,5.4140625 C14.6757812,5.0234375 14.8571429,4.55208333 14.8571429,4 Z M21.3571429,7 C21.3571429,6.44791667 21.1757813,5.9765625 20.813058,5.5859375 C20.4503348,5.1953125 20.0126488,5 19.5,5 C18.9873512,5 18.5496652,5.1953125 18.186942,5.5859375 C17.8242188,5.9765625 17.6428571,6.44791667 17.6428571,7 C17.6428571,7.55208333 17.8242188,8.0234375 18.186942,8.4140625 C18.5496652,8.8046875 18.9873512,9 19.5,9 C20.0126488,9 20.4503348,8.8046875 20.813058,8.4140625 C21.1757813,8.0234375 21.3571429,7.55208333 21.3571429,7 Z M26,14 C26,16.71875 25.3180804,19.234375 23.9542411,21.546875 C23.7704613,21.8489583 23.5093006,22 23.1707589,22 L2.82924107,22 C2.49069941,22 2.2295387,21.8489583 2.04575893,21.546875 C0.681919643,19.2447917 0,16.7291667 0,14 C0,12.1041667 0.343377981,10.2916667 1.03013393,8.5625 C1.71688988,6.83333333 2.640625,5.34375 3.80133929,4.09375 C4.96205357,2.84375 6.34523809,1.84895833 7.95089286,1.109375 C9.55654762,0.369791672 11.2395833,0 13,0 C14.7604167,0 16.4434524,0.369791672 18.0491071,1.109375 C19.6547619,1.84895833 21.0379464,2.84375 22.1986607,4.09375 C23.359375,5.34375 24.2831101,6.83333333 24.9698661,8.5625 C25.656622,10.2916667 26,12.1041667 26,14 L26,14 Z"
              id="Shape"
            />
          </G>
        </G>
      </G>
    </G>
  </Svg>
)

export default SvgComponent
